aboutsummaryrefslogtreecommitdiff
path: root/paludis/repositories/e/e_repository_TEST_6_setup.sh
diff options
context:
space:
mode:
Diffstat (limited to 'paludis/repositories/e/e_repository_TEST_6_setup.sh')
-rwxr-xr-xpaludis/repositories/e/e_repository_TEST_6_setup.sh22
1 files changed, 22 insertions, 0 deletions
diff --git a/paludis/repositories/e/e_repository_TEST_6_setup.sh b/paludis/repositories/e/e_repository_TEST_6_setup.sh
index 5913ff363..67f82a1b7 100755
--- a/paludis/repositories/e/e_repository_TEST_6_setup.sh
+++ b/paludis/repositories/e/e_repository_TEST_6_setup.sh
@@ -519,5 +519,27 @@ src_configure() {
}
END
+mkdir -p "cat/no-einstall" || exit 1
+cat << 'END' > cat/no-einstall/no-einstall-6.ebuild || exit 1
+EAPI="6"
+DESCRIPTION="The Description"
+HOMEPAGE="http://example.com/"
+SRC_URI=""
+SLOT="0"
+IUSE=""
+LICENSE="GPL-2"
+KEYWORDS="test"
+
+S=${WORKDIR}
+
+src_unpack() {
+ echo 'install: ; true' >Makefile
+}
+
+src_install() {
+ einstall
+}
+END
+
cd ..
cd ..